summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-libs/xbae/xbae-4.60.4.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-libs/xbae/xbae-4.60.4.ebuild')
-rw-r--r--x11-libs/xbae/xbae-4.60.4.ebuild65
1 files changed, 65 insertions, 0 deletions
diff --git a/x11-libs/xbae/xbae-4.60.4.ebuild b/x11-libs/xbae/xbae-4.60.4.ebuild
new file mode 100644
index 00000000000..c05fbf5a815
--- /dev/null
+++ b/x11-libs/xbae/xbae-4.60.4.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit autotools-utils
+
+DESCRIPTION="Motif-based widget to display a grid of cells as a spreadsheet"
+HOMEPAGE="http://xbae.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+IUSE="doc examples static-libs"
+
+RDEPEND="
+ x11-libs/motif:0
+ x11-libs/libXau
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXmu
+ x11-libs/libXpm
+ x11-libs/libXt"
+
+DEPEND="${RDEPEND}"
+
+# tests need X display
+# and are interactive so virtualx will not help
+RESTRICT=test
+
+PATCHES=(
+ "${FILESDIR}"/${P}-tmpl.patch
+ "${FILESDIR}"/${P}-lxmp.patch
+ "${FILESDIR}"/${P}-Makefile.in.patch
+ )
+
+src_configure() {
+ local myeconfargs=( --enable-production )
+ autotools-utils_src_configure
+}
+
+src_test() {
+ cd ${AUTOTOOLS_BUILD_DIR}/examples
+ emake
+ "${S}"/examples/testall
+ emake clean
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ insinto /usr/share/aclocal
+ doins ac_find_xbae.m4
+
+ use doc && dohtml -r doc/*
+
+ if use examples; then
+ find examples -name '*akefile*' -delete || die
+ rm examples/{testall,extest} || die
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}